-----------------------------------------------------------
--|> Colors
-----------------------------------------------------------
--> Namespace
local _, NS = ...
--> Upvalues
NS.Colors = {}

--> SOURCE COLOR TABLE
local ColorSource = {}
--: Addon Colors
ColorSource["logo"] = "ffa012" -- #ffa012
ColorSource["phasing"] = "e32dff" -- #e32dff
--: Base Colors
ColorSource["black"] = "000000" -- #000000
ColorSource["darkGrey"] = "0f0f0f" -- #0f0f0f
ColorSource["lightGrey"] = "bbbbbb" -- #bbbbbb
ColorSource["white"] = "ffffff" -- #ffffff
ColorSource["red"] = "ff003b" -- #ff003b
ColorSource["pink"] = "ff5757" --  #ff5757
ColorSource["fuchsia"] = "ff19b3" --  #ff19b3
ColorSource["purple"] = "a100ff" -- #a100ff
ColorSource["darkBlue"] = "0077ff" -- #0077ff
ColorSource["lightBlue"] = "00f7ff" -- #00f7ff
ColorSource["green"] = "3bff00" -- #3bff00
ColorSource["yellow"] = "ffff14" -- #ffff14
ColorSource["gold"] = "ffb300" -- #ffb300
ColorSource["orange"] = "ff6300" -- #ff6300
--: String Colors
ColorSource["InCombat"] = ColorSource["red"] -- #ff003b
ColorSource["OutOfCombat"] = ColorSource["green"] -- #3bff00
ColorSource["Pinned"] = ColorSource["yellow"] -- #ffff14
ColorSource["pin"] = ColorSource["yellow"] -- #ffff14
ColorSource["Unpinned"] = ColorSource["lightBlue"] -- #00f7ff
ColorSource["unpin"] = ColorSource["lightBlue"] -- #00f7ff
ColorSource["Locked"] = ColorSource["red"] -- #ff003b
ColorSource["lock"] = ColorSource["red"] -- #ff003b
ColorSource["Unlocked"] = ColorSource["green"] -- #3bff00
ColorSource["unlock"] = ColorSource["green"] -- #3bff00

--> BUILD ADDITIONAL COLOR FORMATS
local ColorTable = {}
for k, v in pairs(ColorSource) do
    ColorTable[k] = {}
    ColorTable[k].hex = ColorSource[k]
    ColorTable[k].rgb = {}
    ColorTable[k].rgb.r, ColorTable[k].rgb.g, ColorTable[k].rgb.b = XEN.HexToRGBPerc(v)
end
--> APPLY
NS.ColorsLUT = CopyTable(ColorTable)
