-----------------------------------------------------------
--|> LDB
-----------------------------------------------------------
local ADDON_NAME, NS = ...
local addonName, _ = ...
local ldb = LibStub:GetLibrary("LibDataBroker-1.1", true)
if not ldb then
    return
end

local plugin =
    ldb:NewDataObject(
    addonName,
    {
        type = "data source",
        text = "0",
        icon = "Interface\\AddOns\\weizPVP\\Media\\weizpvp_minimap.tga"
    }
)

function plugin.OnClick(_, button)
    if button == "RightButton" then
        --: RIGHT-CLICK: Toggle Interface Options
        NS.ToggleOptions()
    elseif button == "LeftButton" then
        --: LEFT-CLICK: Toggle window
        NS.Options.Window.Visible = not NS.Options.Window.Visible
        NS.SetWindowSettings()
    end
end

function NS.EnableLDB()
    hooksecurefunc(
        NS,
        "UpdateNearbyCount",
        function()
            plugin.text = NS.CoreUI.CoreFrame.Header.TitleVar:GetText()
            plugin.icon = "Interface\\AddOns\\weizPVP\\Media\\weizpvp_minimap.tga"
        end
    )
end
function plugin.OnTooltipShow(tip)
    tip:AddDoubleLine(NS.Constants.AddonString, NS.CoreUI.CoreFrame.Header.TitleVar:GetText())
    tip:AddLine(" ")
    tip:AddDoubleLine("Right-Click", "|cff00ff05Toggle Options|r")
    tip:AddDoubleLine("Left-Click", "|cff00ff05Toggle Main Window|r")
end

local f = CreateFrame("Frame")
f:SetScript(
    "OnEvent",
    function()
        NS.LDBIcon = NS.LDBIcon or LibStub("LibDBIcon-1.0", true)
        if not NS.LDBIcon then
            return
        end
        NS.LDBIcon:Register(addonName, plugin, NS.Options.LDB)

        if NS.Options.LDB.minimap == true then
            LibStub("LibDBIcon-1.0"):Show(ADDON_NAME)
        else
            LibStub("LibDBIcon-1.0"):Hide(ADDON_NAME)
        end
    end
)
f:RegisterEvent("PLAYER_LOGIN")
