-----------------------------------------------------------------------
--|> PHASING
-----------------------------------------------------------------------
local _, NS = ... --> Addon Name, Namespace
--> Check for Module
if NS.Phasing then
    return
end
NS.Phasing = {}

--> UpValues
local time = time
local tDeleteItem = tDeleteItem

--> Check Realm for phase shift
local phaseFrame = CreateFrame("frame")

--> check Realm
local connectedRealms = GetAutoCompleteRealms() or nil
local RealmFound = false
local function CheckRealm()
    RealmFound = false
    connectedRealms = GetAutoCompleteRealms()
    if connectedRealms then
        tDeleteItem(connectedRealms, NS.PlayerRealm)
        if #connectedRealms > 0 then
            RealmFound = true
        end
    end
    if RealmFound == false and (not NS.Phasing.FirstRun) then
        if NS.Options.Alerts.PhasingChat then
            NS.PrintAddonMessage("|cffe32dff~PHASING~|r")
        end
        NS.SetStatusMessage("|cffe32dff~PHASING~|r", true, 4)
    elseif NS.Phasing.FirstRun == true then
        NS.Phasing.FirstRun = nil
    end
end

--> Timer
local total = 0
local ShiftTime = time()
local NextShiftTime = ShiftTime + 1
local shifted = false
local function PhaseTimer(_, elapsed)
    total = total + elapsed
    if total >= 0.1 then
        if not GarrisonLandingPageMinimapButton:IsShown() then
            ShiftTime = time()
            NextShiftTime = ShiftTime + 1
            if shifted == false then
                CheckRealm()
                shifted = true
            end
        end
        if shifted == true then
            if time() >= NextShiftTime then
                shifted = false
            end
        end
        total = 0
    end
end

--> Phasing: Enable
function NS.Phasing.Enabled()
    phaseFrame = phaseFrame or CreateFrame("frame")
    phaseFrame:SetScript("OnUpdate", PhaseTimer) -- OnUpdate Frame always checking
end
